import pygame
import os
import math
from gameObject import GameObject
from pygame.locals import *


class Door(GameObject):

	def __init__(self,gameScene,x,y,numerator,denominator,realDoor):
	
		GameObject.__init__(self,gameScene,x,y,26,26,(155,155,155))
		self.rect = pygame.Rect(x,y-20,26,26)
		self.numerator = numerator
		self.denominator = denominator
		self.realDoor = realDoor
		self.img = "door"
		self.active = 0
		self.x = x
		self.y = y
		pygame.font.init
		
	def draw(self):
	
		gE = self.gameScene.gameEngine
		
		font = pygame.font.Font(None, 24)
		s = str(self.numerator) + " / " + str(self.denominator)
		text = font.render(s, 1, (255,255,255))
		
		pygame.draw.rect(self.gameScene.gameEngine.screen,self.colour,self.rect)
		gE = self.gameScene.gameEngine
		img_str = os.path.join(self.img)      
		img = gE.resourceManager.getImage(img_str)
		gE.screen.blit(img,(self.rect.x -15,self.rect.y -40))
		gE.screen.blit(text, (self.x - 3,self.y - 55))