import pygame
import os
import math
from gameObject import GameObject
from pygame.locals import *


class PaintBucket(GameObject):

	def __init__(self,gameScene,x,y, numerator, denominator, colour):
	
		GameObject.__init__(self,gameScene,x,y,20,20, colour)
		self.rect = pygame.Rect(x-5,y-27,28,20)
		self.numerator = numerator
		self.denominator = denominator
		self.img = "bucket"
		self.colour = colour
		self.hit = 0
		self.x = x
		self.y = y
		pygame.font.init
		
		self.gE = gameScene.gameEngine
		img_str = os.path.join(self.img)
		self.img = self.gE.resourceManager.getImage(img_str)
	
	def draw(self):	
		font = pygame.font.Font(None, 24)
		s = str(self.numerator) + " / " + str(self.denominator)
		text = font.render(s, 1, (255,255,255))
		
		pygame.draw.rect(self.gameScene.gameEngine.screen,self.colour,self.rect)
		self.gE.screen.blit(text, (self.x - 3,self.y-45))
		self.gE.screen.blit(self.img,(self.x -15,self.y-35))
		
	
		